QGListIterator(3qt)

NAME
QGListIterator - Internal class for implementing QListIterator

SYNOPSIS

#include <qglist.h>

Inherited by QListIterator.

  Protected Members

QGListIterator ( const QGList & ) (internal)

QGListIterator ( const QGListIterator & ) (internal)

QGListIterator& operator= ( const QGListIterator & ) (internal)

~QGListIterator () (internal)

bool atFirst () const (internal)

bool atLast () const (internal)

QCollection::Item toFirst () (internal)

QCollection::Item toLast () (internal)

QCollection::Item get () const (internal)

QCollection::Item operator ()() (internal)

QCollection::Item operator++ () (internal)

QCollection::Item operator+= ( uint ) (internal)

QCollection::Item operator-- () (internal)

QCollection::Item operator-= ( uint ) (internal)

DESCRIPTION
The QGListIterator class is an internal class for implementing QListIterator.

QGListIterator is a strictly internal class that does the heavy work for QListIterator.

MEMBER FUNCTION DOCUMENTATION

QGListIterator::QGListIterator ( const QGList & l ) [protected]
For internal use only.

QGListIterator::QGListIterator ( const QGListIterator & it ) [protected]
For internal use only.

QGListIterator::~QGListIterator () [protected]
For internal use only.

bool QGListIterator::atFirst () const [protected]
For internal use only.

bool QGListIterator::atLast () const [protected]
For internal use only.

QCollection::Item QGListIterator::get() const [protected]
For internal use only.

QCollection::Item QGListIterator::operator()() [protected]
For internal use only.

QCollection::Item QGListIterator::operator++() [protected]
For internal use only.

QCollection::Item QGListIterator::operator+=( uint jumps ) [protected]
For internal use only.

QCollection::Item QGListIterator::operator--() [protected]
For internal use only.

QCollection::Item QGListIterator::operator-=( uint jumps ) [protected]
For internal use only.

QGListIterator & QGListIterator::operator= ( const QGListIterator & it ) [protected]
For internal use only.

QCollection::Item QGListIterator::toFirst() [protected]
For internal use only.

QCollection::Item QGListIterator::toLast() [protected]
For internal use only.

SEE ALSO
http://doc.trolltech.com/qglistiterator.html

COPYRIGHT
Copyright 1992-2000 Trolltech AS, http://www.trolltech.com/. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.